de.esprit.appsuite.nio.ndf

## Interface NdfConstants

- All Known Implementing Classes:
    AppDescriptorHandler, AppDescriptorLaunchPrefsHandler, AppHandler, AppLaunchPrefsHandler, AppLaunchPrefsWriter, AppVersionHandler, BatchTaskConfigWriter, CredentialHandler, CredentialWriter, DatabaseConfigHandler, DatabaseConfigWriter, DBOWriter, DefaultUserManager.MyUserHandler, DumpingNdfHandler, GroupHandler, GroupMemberHandler, GroupMemberWriter, GroupWriter, JavaAppDescriptorWriter, LicenseHandler, LoggingNdfHandler, NdfHandler, NdfParser, NdfProperties, NdfStructureType, NdfUtil, NdfWriter, NetworkConfigHandler, NetworkConfigWriter, PermissionConfigHandler, PermissionConfigWriter, TimestampWriter, TimstampHandler, UserWriter

      public interface NdfConstants

  This interface defines constants which are commonly used within the `NdfWriter` and `NdfParser`.
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `allowedInNames`
    `static char` | `blockCommentChar`
    `static java.lang.String` | `booleanFalseChar`
    `static java.lang.String` | `booleanFalseLiteral`
    `static java.lang.String` | `booleanTrueChar`
    `static java.lang.String` | `booleanTrueLiteral`
    `static java.lang.String` | `currentNdfDocVersion`
    `static char` | `defaultTextEndChar`
    `static char` | `defaultTextParagraphChar`
    `static char` | `lineCommentChar`
    `static java.lang.String` | `ndfDocAuthorKey`
    `static java.lang.String` | `ndfDocCreatedKey`
    `static java.lang.String` | `ndfDocEncodingKey`
    `static java.lang.String` | `ndfDocTypeKey`
    `static java.lang.String` | `ndfDocVersionKey`
    `static java.lang.String` | `nullLiteral`
    `static byte[]` | `quotingBreakCodes`
    `static byte[]` | `standardBreakCodes`
    `static java.lang.String` | `structureChar`
    `static byte[]` | `textValueBreakCodes`
    `static java.lang.String` | `validTextBreakSymbols`

- - ### Field Detail

    - #### currentNdfDocVersion

          static final java.lang.String currentNdfDocVersion

      See Also:
        Constant Field Values

    - #### booleanTrueChar

          static final java.lang.String booleanTrueChar

      See Also:
        Constant Field Values

    - #### booleanFalseChar

          static final java.lang.String booleanFalseChar

      See Also:
        Constant Field Values

    - #### booleanTrueLiteral

          static final java.lang.String booleanTrueLiteral

      See Also:
        Constant Field Values

    - #### booleanFalseLiteral

          static final java.lang.String booleanFalseLiteral

      See Also:
        Constant Field Values

    - #### nullLiteral

          static final java.lang.String nullLiteral

      See Also:
        Constant Field Values

    - #### structureChar

          static final java.lang.String structureChar

      See Also:
        Constant Field Values

    - #### allowedInNames

          static final java.lang.String allowedInNames

      See Also:
        Constant Field Values

    - #### defaultTextParagraphChar

          static final char defaultTextParagraphChar

      See Also:
        Constant Field Values

    - #### defaultTextEndChar

          static final char defaultTextEndChar

      See Also:
        Constant Field Values

    - #### validTextBreakSymbols

          static final java.lang.String validTextBreakSymbols

      See Also:
        Constant Field Values

    - #### blockCommentChar

          static final char blockCommentChar

      See Also:
        Constant Field Values

    - #### lineCommentChar

          static final char lineCommentChar

      See Also:
        Constant Field Values

    - #### standardBreakCodes

          static final byte[] standardBreakCodes

    - #### quotingBreakCodes

          static final byte[] quotingBreakCodes

    - #### textValueBreakCodes

          static final byte[] textValueBreakCodes

    - #### ndfDocVersionKey

          static final java.lang.String ndfDocVersionKey

      See Also:
        Constant Field Values

    - #### ndfDocCreatedKey

          static final java.lang.String ndfDocCreatedKey

      See Also:
        Constant Field Values

    - #### ndfDocEncodingKey

          static final java.lang.String ndfDocEncodingKey

      See Also:
        Constant Field Values

    - #### ndfDocTypeKey

          static final java.lang.String ndfDocTypeKey

      See Also:
        Constant Field Values

    - #### ndfDocAuthorKey

          static final java.lang.String ndfDocAuthorKey

      See Also:
        Constant Field Values

Copyright © 2014 EsprIT-Systems. All Rights Reserved.